# class AudioListener

#### package js.html.audio

Available on HTML5

It is important to note that there is only one listener per context and that it isn't an `AudioNode`.

Documentation AudioListener by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/AudioListener

### Variables

###

`dopplerFactor:Float`

###

`speedOfSound:Float`

### Methods

###

`setOrientation (x:Float, y:Float, z:Float, xUp:Float, yUp:Float, zUp:Float):Void`

Sets the orientation of the listener.

###

`setPosition (x:Float, y:Float, z:Float):Void`

Sets the position of the listener. See `Deprecated features` to learn why this method was removed.

###

`setVelocity (x:Float, y:Float, z:Float):Void`